# H/stringdist.h File Reference

Functions for String Alignment. More...

Include dependency graph for stringdist.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
swString * | Make_swString (char *string)
| Convert a structure into a format suitable for string_edit_distance().
float | string_edit_distance (swString *T1, swString *T2)
| Calculate the string edit distance of T1 and T2.

## Detailed Description

Functions for String Alignment.

## Function Documentation

swString* Make_swString | ( | char * | string | ) |

Convert a structure into a format suitable for string_edit_distance().

Parameters:

  | string | Returns:

float string_edit_distance | ( | swString * | T1,
|  | swString * | T2 |
| ) |  |  |

Calculate the string edit distance of T1 and T2.

Parameters:

    | T1 | Parameters:
    | T2 | Returns: